Package Gnumed :: Package wxpython :: Module gmGuiMain :: Class gmTopLevelFrame |
[frames] | no frames]

# Class gmTopLevelFrame

source code

    wx.Frame --+
               |
              gmTopLevelFrame

GNUmed client's main windows frame.

This is where it all happens. Avoid popping up any other windows. Most user interaction should happen to and from widgets within this frame

Instance Methods
__init__(self, parent, id, title, size=wx.DefaultSize) You'll have to browse the source to understand what the constructor does | source code
OnAbout(self, event) | source code
OnClose(self, event) This is the wx.EVT_CLOSE handler. | source code
OnExportEMR(self, event) Export selected patient EMR to a file | source code
setup_statusbar(self) | source code
Lock(self) Lock GNUmed client against unauthorized access | source code
Unlock(self) Unlock the main notebook widgets As long as we are not logged into the database backend, all pages but the 'login' page of the main notebook widget are locked; i.e. | source code
OnPanelSize(self, event) | source code

Method Details

### OnClose(self, event) | source code
    This is the wx.EVT_CLOSE handler.

    - framework still functional

### Unlock(self) | source code
Unlock the main notebook widgets As long as we are not logged into the database backend, all pages but the 'login' page of the main notebook widget are locked; i.e. not accessible by the user